SessionTuningProperties (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class SessionTuningProperties

    java.lang.Object
      |
      +--org.beepcore.beep.core.SessionTuningProperties

public class SessionTuningProperties
extends java.lang.Object

Class SessionTuningProperties

Field Summary
`static java.lang.String` | `ENCRYPTION`
`static java.lang.String` | `LEFT`
`static java.lang.String` | `MIDDLE`
`static java.lang.String` | `NEWLINE`
`static java.lang.String` | `NO_PROPERTIES`
`static java.lang.String` | `RIGHT`
`static java.lang.String[]` | `STANDARD_PROPERTIES`

Constructor Summary
`SessionTuningProperties()` Constructor SessionTuningProperties
`SessionTuningProperties(java.util.Hashtable props)` Constructor SessionCredential

Method Summary
`boolean` | `getEncrypted()` gets the status of encryption
`java.lang.Object` | `getProperty(java.lang.String property)` generic way to get the value of a property.
`void` | `setEncrypted()` sets the status of encryption
`void` | `setProperty(java.lang.String property, java.lang.String value)` generic way to set the value of a property.
`java.lang.String` | `toString()` Method toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENCRYPTION

    public static final java.lang.String ENCRYPTION

See Also:
  Constant Field Values

### STANDARD_PROPERTIES

    public static final java.lang.String[] STANDARD_PROPERTIES

### LEFT

    public static final java.lang.String LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final java.lang.String RIGHT

See Also:
  Constant Field Values

### MIDDLE

    public static final java.lang.String MIDDLE

See Also:
  Constant Field Values

### NEWLINE

    public static final java.lang.String NEWLINE

See Also:
  Constant Field Values

### NO_PROPERTIES

    public static final java.lang.String NO_PROPERTIES

See Also:
  Constant Field Values

Constructor Detail

### SessionTuningProperties

    public SessionTuningProperties()

  Constructor SessionTuningProperties

### SessionTuningProperties

    public SessionTuningProperties(java.util.Hashtable props)

  Constructor SessionCredential

Parameters:
  `props` -

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

  generic way to get the value of a property. It is recommended to use the standard methods for standard properties and that these methods only be used for non standard properties.

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.String value)

  generic way to set the value of a property. It is recommended to use the standard methods for standard properties and that these methods only be used for non standard properties.

### getEncrypted

    public boolean getEncrypted()

  gets the status of encryption

### setEncrypted

    public void setEncrypted()

  sets the status of encryption

### toString

    public java.lang.String toString()

  Method toString

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.